
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Pdf;

namespace EssentialPDFSamples
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button button1;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.button1 = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(88, 24);
			this.button1.Name = "button1";
			this.button1.TabIndex = 0;
			this.button1.Text = "PDF";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(256, 78);
			this.Controls.Add(this.button1);
			this.Name = "Form1";
			this.Text = "Essential PDF Samples";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void button1_Click(object sender, System.EventArgs e)
		{

			//Create a new PDF Document. This object represents the PDF document.
			//This document has One page by default. Additional pages have to be added.
			PDFDocument pdfDoc = new PDFDocument();
			
			//Access the first page in the PDFDocuments's pages collection
			IPDFPage firstPage = pdfDoc.Pages[0];

			//Use the Predefined fonts to draw the text. 
			IPDFFont pdfFont = pdfDoc.Fonts.Add( FontBaseFamily.Courier );
		
			//Create Link to the PDF file in the same folder. The problem is that that
			//PDF file is opened inside a browser.
			IPDFUriLink url = pdfDoc.CreateUriLink(firstPage,new RectangleF(200,10,200,20),"BasicPDF.PDF");

					
			//Create PDF Attachment. The external PDF file is stores as an attachement within
			//this new PDF document.
			IPDFAttachLink attachment = pdfDoc.CreateFileAttach(firstPage,new RectangleF(200,60,200,20),"BasicPDF.PDF");

			url.LineWidth = -1; 
			firstPage.Graphics.DrawText(200,10,"Click to open file as web link",pdfFont);

			firstPage.Graphics.DrawText(200,40,"Double click on the icon to open embedded PDF",pdfFont);
	
			//Save the PDF Document to disk.
			pdfDoc.Save("Test.pdf");

			if(MessageBox.Show("Do you want to view the file","PDF File Created",MessageBoxButtons.YesNo)== DialogResult.Yes)
			{				
				//Open the PDF document that was created using Essential PDF.
				System.Diagnostics.Process.Start("Test.pdf");	
			}
		
		}
	}
}